View Issue Details

IDProjectCategoryView StatusLast Update
0031755LazarusIDEpublic2017-06-02 18:40
ReporterOndrej Pokorny Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.9 (SVN) 
Summary0031755: Regression: call stack cannot jump into include files
DescriptionWhen I double click a line in the call stack window that point to an include file (e.g. in FPC RTL sources), the IDE refuses to jump to it.
Steps To Reproduce1.) Put a breakpoint somewhere in FPC source include file.

From the call stack window:
2.) try to jump to LCL or your program source -> that's fine.
3.) try to jump back to the FPC source line -> nothing happens.
Additional InformationIt's caused by r54572 (mantis 0031577). Because r54572 just made it into the 1.8 fixes branch, please sort it out before 1.8 release.

I tested on Win32 only.
TagsNo tags attached.
Fixed in Revisionr55155
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0031622 resolvedJuha Manninen Fix for 0031577 breaks debugging 
child of 0031577 resolvedJuha Manninen IDE opens different tabs for editing and debugging when the file is behind a symlink 

Activities

Ondrej Pokorny

2017-05-06 11:45

developer   ~0100129

It's basically the same issue as 0031622 - but in the call stack window.

Juha Manninen

2017-06-02 12:10

developer   ~0100794

Fixed, please test.

The whole solution starting from r54572 is a little messy with an extra parameter and all. I try to fix it properly in trunk later.

Ondrej Pokorny

2017-06-02 18:39

developer   ~0100800

Works well, thanks.

Issue History

Date Modified Username Field Change
2017-05-05 17:46 Ondrej Pokorny New Issue
2017-05-05 17:46 Ondrej Pokorny Status new => assigned
2017-05-05 17:46 Ondrej Pokorny Assigned To => Juha Manninen
2017-05-05 17:47 Ondrej Pokorny Relationship added child of 0031577
2017-05-06 11:45 Ondrej Pokorny Relationship added related to 0031622
2017-05-06 11:45 Ondrej Pokorny Note Added: 0100129
2017-05-06 11:55 Ondrej Pokorny Summary Regression: call stack cannot jump into FPC sources => Regression: call stack cannot jump into include files
2017-05-06 11:55 Ondrej Pokorny Description Updated View Revisions
2017-05-06 11:55 Ondrej Pokorny Steps to Reproduce Updated View Revisions
2017-06-02 12:10 Juha Manninen Fixed in Revision => r55155
2017-06-02 12:10 Juha Manninen Note Added: 0100794
2017-06-02 12:10 Juha Manninen Status assigned => resolved
2017-06-02 12:10 Juha Manninen Resolution open => fixed
2017-06-02 18:39 Ondrej Pokorny Note Added: 0100800
2017-06-02 18:39 Ondrej Pokorny Status resolved => closed